{
  "name": "astrolabe-website",
  "version": "0.1.0",
  "description": "Site web de la coopérative Astrolabe CAE",
  "main": "index.js",
  "dependencies": {
    "@11ty/eleventy": "^2.0.0",
    "@11ty/eleventy-plugin-rss": "^1.0.7",
    "@11ty/eleventy-plugin-syntaxhighlight": "^2.0.3",
    "@tbranyen/jsdom": "^13.0.0",
    "bootstrap": "^5.1.3",
    "concurrently": "^7.0.0",
    "html-minifier": "^4.0.0",
    "image-size": "^0.8.3",
    "json-to-scss": "^1.3.1",
    "leaflet": "^1.7.1",
    "sass": "^1.26.3",
    "semver": "^6.3.0",
    "slugify": "^1.4.0",
    "stalfos": "github:hankchizljaw/stalfos#c8971d22726326cfc04089b2da4d51eeb1ebb0eb"
  },
  "devDependencies": {
    "@erquhart/rollup-plugin-node-builtins": "^2.1.5",
    "bl": "^3.0.0",
    "chokidar-cli": "^3.0.0",
    "copyfiles": "^2.4.1",
    "cross-env": "^5.2.1",
    "ftp-deploy": "^2.3.7",
    "make-dir-cli": "^3.0.0",
    "prettier": "^1.19.1",
    "rimraf": "^3.0.2",
    "rollup": "^1.32.1",
    "rollup-plugin-commonjs": "^10.1.0",
    "rollup-plugin-json": "^4.0.0",
    "rollup-plugin-node-resolve": "^5.2.0",
    "stylelint": "^14.2.0",
    "stylelint-config-sass-guidelines": "^9.0.1"
  },
  "scripts": {
    "clean": "rimraf dist",
    "sass:tokens": "npx json-to-scss src/_data/tokens.json src/scss/_tokens.scss",
    "sass:lint": "npx stylelint src/scss/**/*.scss",
    "sass:process": "npm run sass:tokens && npm run sass:lint && sass src/scss/global.scss src/_includes/assets/css/global.css --style=compressed",
    "vendor:css": "copyfiles node_modules/leaflet/dist/leaflet.css node_modules/bootstrap/dist/css/bootstrap.min.css -f dist/vendor/css",
    "vendor:js": "copyfiles node_modules/leaflet/dist/leaflet.js node_modules/bootstrap/dist/js/bootstrap.min.js -f dist/vendor/js",
    "vendor": "npm run clean && npm run vendor:css && npm run vendor:js",
    "start": "concurrently \"npm run vendor\" \"npm run sass:process -- --watch\" \"npm run serve\"",
    "serve": "cross-env ELEVENTY_ENV=development npx eleventy --serve",
    "prod": "cross-env ELEVENTY_ENV=prod npm run vendor && npm run sass:process && npx eleventy",
    "deploy-preprod": "npm run prod && node deploy-preprod",
    "deploy-prod": "npm run prod && node deploy-prod"
  },
  "repository": {
    "type": "git",
    "url": "git+https://git.astrolabe.coop/AstrolabeCAE/SiteWebAstrolabe.git"
  },
  "keywords": [],
  "author": "Yves Gatesoupe",
  "license": "MIT",
  "bugs": {
    "url": "https://git.astrolabe.coop/AstrolabeCAE/SiteWebAstrolabe/issues"
  },
  "homepage": "https://git.astrolabe.coop/AstrolabeCAE/SiteWebAstrolabe"
}
